import request from '@/utils/request'

// 查询工资规则验证列表
export function listSalaryrule(query) {
  return request({
    url: '/system/salaryrule/list',
    method: 'get',
    params: query
  })
}

// 查询工资规则验证详细
export function getSalaryrule(id) {
  return request({
    url: '/system/salaryrule/' + id,
    method: 'get'
  })
}

// 新增工资规则验证
export function addSalaryrule(data) {
  return request({
    url: '/system/salaryrule',
    method: 'post',
    data: data
  })
}

// 修改工资规则验证
export function updateSalaryrule(data) {
  return request({
    url: '/system/salaryrule',
    method: 'put',
    data: data
  })
}

// 删除工资规则验证
export function delSalaryrule(id) {
  return request({
    url: '/system/salaryrule/' + id,
    method: 'delete'
  })
}

// 导出工资规则验证
export function exportSalaryrule(query) {
  return request({
    url: '/system/salaryrule/export',
    method: 'get',
    params: query
  })
}